"Fossies" - the Fresh Open Source Software Archive

Member "latex2html-2021.2/configure" (1 Jul 2021, 47083 Bytes) of package /linux/www/latex2html-2021.2.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "configure": 2021_vs_2021.2.

    1 #! /bin/sh
    2 
    3 # Guess values for system-dependent variables and create Makefiles.
    4 # Generated automatically us if $TIFFTOPNM && $PPMTOJPEG;ing autoconf version 2.13 
    5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
    6 #
    7 # This configure script is free software; the Free Software Foundation
    8 # gives unlimited permission to copy, distribute and modify it.
    9 
   10 # Defaults:
   11 ac_help=
   12 ac_default_prefix=/usr/local
   13 # Any additions from configure.in:
   14 ac_default_prefix=/usr/local
   15 ac_help="$ac_help
   16   --with-perl=PATH        path/name of the Perl interpreter"
   17 ac_help="$ac_help
   18   --with-oldconfig=PATH   use settings from this cfgcache.pm file"
   19 ac_help="$ac_help
   20   --with-extrapath=EPATH  search for executables in EPATH, too"
   21 ac_help="$ac_help
   22   --with-gsdevice=DEVICE  use Ghostscript portable image device
   23                           (default: chosen automatically, possible choices:
   24                           ppmraw,pgnmraw,pgmraw,pnmraw,pbmraw,ppm,pgnm,pnm,pbm)"
   25 ac_help="$ac_help
   26   --with-gsalias=DEVICE   use Ghostscript portable image device for
   27                           anti-aliased image rendering (default: ppmraw, pgmraw)"
   28 ac_help="$ac_help
   29   --with-iconpath=PATH    URL to access LaTeX2HTML icons on http server"
   30 ac_help="$ac_help
   31   --with-iconstorage=PATH path where LaTeX2HTML icons are stored"
   32 ac_help="$ac_help
   33   --with-texpath=PATH     path where TeX include files will be installed"
   34 ac_help="$ac_help
   35   --with-rgb=PATH         path of the system rgb.txt file"
   36 ac_help="$ac_help
   37   --with-crayola=PATH     path of the system crayola.txt file"
   38 ac_help="$ac_help
   39   --enable-images         add support of images (default: yes)"
   40 ac_help="$ac_help
   41   --enable-pk             create fonts for image generation (default: no)"
   42 ac_help="$ac_help
   43   --with-metamode=MODE    use MetaFont mode MODE for font generation"
   44 ac_help="$ac_help
   45   --with-metadpi=DPI      the DPI resolution the MetaFont mode MODE uses"
   46 ac_help="$ac_help
   47   --enable-eps            use EPS support in dvips if available"
   48 ac_help="$ac_help
   49   --enable-reverse        reverse dvips output (rarely needed)"
   50 ac_help="$ac_help
   51   --enable-gif            add support of GIF images"
   52 ac_help="$ac_help
   53   --enable-png            add support of PNG images"
   54 ac_help="$ac_help
   55   --enable-svg            add support of SVG images"
   56 ac_help="$ac_help
   57   --enable-pipes          use pipes to connect portable bitmap programs"
   58 ac_help="$ac_help
   59   --enable-paths          store absolute pathnames of external programs"
   60 ac_help="$ac_help
   61   --enable-wrapper        build wrapper script to start latex2html"
   62 ac_help="$ac_help
   63   --enable-texlive        build LaTeX2HTML for TeXlive cdrom"
   64 ac_help="$ac_help
   65   --with-gs=PATH          path/name of the GhostScript executable"
   66 ac_help="$ac_help
   67   --with-dvips=PATH       path/name of the dvips executable"
   68 ac_help="$ac_help
   69   --with-dvipng=PATH      path/name of the dvipng executable"
   70 ac_help="$ac_help
   71   --with-pdftocairo=PATH  path/name of the pdftocairo executable"
   72 ac_help="$ac_help
   73   --with-ps2pdf=PATH      path/name of the ps2pdf executable"
   74 ac_help="$ac_help
   75   --with-pdfcrop=PATH     path/name of the pdfcrop executable"
   76 ac_help="$ac_help
   77   --with-latex=PATH       path/name of the LaTeX executable"
   78 ac_help="$ac_help
   79   --with-pdflatex=PATH    path/name of the pdfLaTeX executable"
   80 ac_help="$ac_help
   81   --with-lualatex=PATH    path/name of the LuaLaTeX executable"
   82 ac_help="$ac_help
   83   --with-dvilualatex=PATH path/name of the dviLuaLaTeX executable"
   84 ac_help="$ac_help
   85   --with-pnmcrop=PATH     path/name of the pnmcrop executable"
   86 ac_help="$ac_help
   87   --with-tex=PATH         path/name of the TeX executable"
   88 ac_help="$ac_help
   89   --with-initex=PATH      path/name of the IniTeX executable"
   90 ac_help="$ac_help
   91   --with-kpsewhich=PATH   path/name of the kpsewhich executable"
   92 ac_help="$ac_help
   93   --with-mktexlsr=PATH    path/name of the mktexlsr (or texhash) executable"
   94 ac_help="$ac_help
   95   --with-validator=PATH   path/name of a HTML validator executable"
   96 ac_help="$ac_help
   97   --with-pnmflip=PATH     path/name of the pnmflip executable"
   98 ac_help="$ac_help
   99   --with-pnmquant=PATH    path/name of the pnmquant executable"
  100 ac_help="$ac_help
  101   --with-pnmfile=PATH     path/name of the pnmfile executable"
  102 ac_help="$ac_help
  103   --with-pnmcat=PATH      path/name of the pnmcat executable"
  104 ac_help="$ac_help
  105   --with-pnmcut=PATH      path/name of the pnmcut executable"
  106 ac_help="$ac_help
  107   --with-pnmpad=PATH      path/name of the pnmpad executable"
  108 ac_help="$ac_help
  109   --with-pnmrotate=PATH      path/name of the pnmrotate executable"
  110 ac_help="$ac_help
  111   --with-pnmscale=PATH      path/name of the pnmscale executable"
  112 ac_help="$ac_help
  113   --with-pbmmake=PATH     path/name of the pbmmake executable"
  114 ac_help="$ac_help
  115   --with-ppmtogif=PATH    path/name of the ppmtogif executable"
  116 ac_help="$ac_help
  117   --with-pnmtopng=PATH    path/name of the pnmtopng executable"
  118 ac_help="$ac_help
  119   --with-tifftopnm=PATH    path/name of the tifftopnm executable"
  120 ac_help="$ac_help
  121   --with-anytopnm=PATH    path/name of the anytopnm executable"
  122 ac_help="$ac_help
  123   --with-bmptopnm=PATH    path/name of the bmptopnm executable"
  124 ac_help="$ac_help
  125   --with-pcxtopnm=PATH    path/name of the pcxtopnm executable"
  126 ac_help="$ac_help
  127   --with-sgitopnm=PATH    path/name of the sgitopnm executable"
  128 ac_help="$ac_help
  129   --with-xbmtopbm=PATH    path/name of the xbmtopbm executable"
  130 ac_help="$ac_help
  131   --with-xwdtopnm=PATH    path/name of the xwdtopnm executable"
  132 ac_help="$ac_help
  133   --with-ppmtojpeg=PATH    path/name of the ppmtojpeg executable"
  134 ac_help="$ac_help
  135   --with-giftool=PATH     path/name of the giftool executable"
  136 ac_help="$ac_help
  137   --with-giftrans=PATH    path/name of the giftrans executable"
  138 
  139 # Initialize some variables set by options.
  140 # The variables have the same names as the options, with
  141 # dashes changed to underlines.
  142 build=NONE
  143 cache_file=./config.cache
  144 exec_prefix=NONE
  145 host=NONE
  146 no_create=
  147 nonopt=NONE
  148 no_recursion=
  149 prefix=NONE
  150 program_prefix=NONE
  151 program_suffix=NONE
  152 program_transform_name=s,x,x,
  153 silent=
  154 site=
  155 srcdir=
  156 target=NONE
  157 verbose=
  158 x_includes=NONE
  159 x_libraries=NONE
  160 bindir='${exec_prefix}/bin'
  161 sbindir='${exec_prefix}/sbin'
  162 libexecdir='${exec_prefix}/libexec'
  163 datadir='${prefix}/share'
  164 sysconfdir='${prefix}/etc'
  165 sharedstatedir='${prefix}/com'
  166 localstatedir='${prefix}/var'
  167 libdir='${exec_prefix}/lib'
  168 shlibdir='${exec_prefix}/share/lib'
  169 includedir='${prefix}/include'
  170 oldincludedir='/usr/include'
  171 infodir='${prefix}/info'
  172 mandir='${prefix}/man'
  173 
  174 # Initialize some other variables.
  175 subdirs=
  176 MFLAGS= MAKEFLAGS=
  177 SHELL=${CONFIG_SHELL-/bin/sh}
  178 # Maximum number of lines to put in a shell here document.
  179 ac_max_here_lines=12
  180 
  181 ac_prev=
  182 for ac_option
  183 do
  184 
  185   # If the previous option needs an argument, assign it.
  186   if test -n "$ac_prev"; then
  187     eval "$ac_prev=\$ac_option"
  188     ac_prev=
  189     continue
  190   fi
  191 
  192   case "$ac_option" in
  193   -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  194   *) ac_optarg= ;;
  195   esac
  196 
  197   # Accept the important Cygnus configure options, so we can diagnose typos.
  198 
  199   case "$ac_option" in
  200 
  201   -bindir | --bindir | --bindi | --bind | --bin | --bi)
  202     ac_prev=bindir ;;
  203   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
  204     bindir="$ac_optarg" ;;
  205 
  206   -build | --build | --buil | --bui | --bu)
  207     ac_prev=build ;;
  208   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
  209     build="$ac_optarg" ;;
  210 
  211   -cache-file | --cache-file | --cache-fil | --cache-fi \
  212   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
  213     ac_prev=cache_file ;;
  214   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  215   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
  216     cache_file="$ac_optarg" ;;
  217 
  218   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
  219     ac_prev=datadir ;;
  220   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  221   | --da=*)
  222     datadir="$ac_optarg" ;;
  223 
  224   -disable-* | --disable-*)
  225     ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
  226     # Reject names that are not valid shell variable names.
  227     if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
  228       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  229     fi
  230     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  231     eval "enable_${ac_feature}=no" ;;
  232 
  233   -enable-* | --enable-*)
  234     ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
  235     # Reject names that are not valid shell variable names.
  236     if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
  237       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  238     fi
  239     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  240     case "$ac_option" in
  241       *=*) ;;
  242       *) ac_optarg=yes ;;
  243     esac
  244     eval "enable_${ac_feature}='$ac_optarg'" ;;
  245 
  246   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  247   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  248   | --exec | --exe | --ex)
  249     ac_prev=exec_prefix ;;
  250   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  251   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  252   | --exec=* | --exe=* | --ex=*)
  253     exec_prefix="$ac_optarg" ;;
  254 
  255   -gas | --gas | --ga | --g)
  256     # Obsolete; use --with-gas.
  257     with_gas=yes ;;
  258 
  259   -help | --help | --hel | --he)
  260     # Omit some internal or obsolete options to make the list less imposing.
  261     # This message is too long to be a string in the A/UX 3.1 sh.
  262     cat << EOF
  263 Usage: configure [options] [host]
  264 Options: [defaults in brackets after descriptions]
  265 Configuration:
  266   --cache-file=FILE       cache test results in FILE
  267   --help                  print this message
  268   --no-create             do not create output files
  269   --quiet, --silent       do not print \`checking...' messages
  270   --version               print the version of autoconf that created configure
  271 Directory and file names:
  272   --prefix=PREFIX         install architecture-independent files in PREFIX
  273                           [$ac_default_prefix]
  274   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
  275                           [same as prefix]
  276   --bindir=DIR            user executables in DIR [EPREFIX/bin]
  277   --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  278   --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  279   --datadir=DIR           read-only architecture-independent data in DIR
  280                           [PREFIX/share]
  281   --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  282   --sharedstatedir=DIR    modifiable architecture-independent data in DIR
  283                           [PREFIX/com]
  284   --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  285   --shlibdir=DIR          shared code libraries in DIR [EPREFIX/share/lib]
  286   --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  287   --includedir=DIR        C header files in DIR [PREFIX/include]
  288   --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  289   --infodir=DIR           info documentation in DIR [PREFIX/info]
  290   --mandir=DIR            man documentation in DIR [PREFIX/man]
  291   --srcdir=DIR            find the sources in DIR [configure dir or ..]
  292   --program-prefix=PREFIX prepend PREFIX to installed program names
  293   --program-suffix=SUFFIX append SUFFIX to installed program names
  294   --program-transform-name=PROGRAM
  295                           run sed PROGRAM on installed program names
  296 EOF
  297     cat << EOF
  298 Host type:
  299   --build=BUILD           configure for building on BUILD [BUILD=HOST]
  300   --host=HOST             configure for HOST [guessed]
  301   --target=TARGET         configure for TARGET [TARGET=HOST]
  302 Features and packages:
  303   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  304   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  305   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  306   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  307   --x-includes=DIR        X include files are in DIR
  308   --x-libraries=DIR       X library files are in DIR
  309 EOF
  310     if test -n "$ac_help"; then
  311       echo "--enable and --with options recognized:$ac_help"
  312     fi
  313     exit 0 ;;
  314 
  315   -host | --host | --hos | --ho)
  316     ac_prev=host ;;
  317   -host=* | --host=* | --hos=* | --ho=*)
  318     host="$ac_optarg" ;;
  319 
  320   -includedir | --includedir | --includedi | --included | --include \
  321   | --includ | --inclu | --incl | --inc)
  322     ac_prev=includedir ;;
  323   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  324   | --includ=* | --inclu=* | --incl=* | --inc=*)
  325     includedir="$ac_optarg" ;;
  326 
  327   -infodir | --infodir | --infodi | --infod | --info | --inf)
  328     ac_prev=infodir ;;
  329   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
  330     infodir="$ac_optarg" ;;
  331 
  332   -shlibdir | --shlibdir | --shlibdi | --shlibd)
  333     ac_prev=shlibdir ;;
  334   -shlibdir=* | --shlibdir=* | --shlibdi=* | --shlibd=*)
  335     shlibdir="$ac_optarg" ;;
  336 
  337   -libdir | --libdir | --libdi | --libd)
  338     ac_prev=libdir ;;
  339   -libdir=* | --libdir=* | --libdi=* | --libd=*)
  340     libdir="$ac_optarg" ;;
  341 
  342   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  343   | --libexe | --libex | --libe)
  344     ac_prev=libexecdir ;;
  345   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  346   | --libexe=* | --libex=* | --libe=*)
  347     libexecdir="$ac_optarg" ;;
  348 
  349   -localstatedir | --localstatedir | --localstatedi | --localstated \
  350   | --localstate | --localstat | --localsta | --localst \
  351   | --locals | --local | --loca | --loc | --lo)
  352     ac_prev=localstatedir ;;
  353   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  354   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  355   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
  356     localstatedir="$ac_optarg" ;;
  357 
  358   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
  359     ac_prev=mandir ;;
  360   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
  361     mandir="$ac_optarg" ;;
  362 
  363   -nfp | --nfp | --nf)
  364     # Obsolete; use --without-fp.
  365     with_fp=no ;;
  366 
  367   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  368   | --no-cr | --no-c)
  369     no_create=yes ;;
  370 
  371   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  372   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  373     no_recursion=yes ;;
  374 
  375   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  376   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  377   | --oldin | --oldi | --old | --ol | --o)
  378     ac_prev=oldincludedir ;;
  379   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  380   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  381   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
  382     oldincludedir="$ac_optarg" ;;
  383 
  384   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
  385     ac_prev=prefix ;;
  386   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
  387     prefix="$ac_optarg" ;;
  388 
  389   -program-prefix | --program-prefix | --program-prefi | --program-pref \
  390   | --program-pre | --program-pr | --program-p)
  391     ac_prev=program_prefix ;;
  392   -program-prefix=* | --program-prefix=* | --program-prefi=* \
  393   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
  394     program_prefix="$ac_optarg" ;;
  395 
  396   -program-suffix | --program-suffix | --program-suffi | --program-suff \
  397   | --program-suf | --program-su | --program-s)
  398     ac_prev=program_suffix ;;
  399   -program-suffix=* | --program-suffix=* | --program-suffi=* \
  400   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
  401     program_suffix="$ac_optarg" ;;
  402 
  403   -program-transform-name | --program-transform-name \
  404   | --program-transform-nam | --program-transform-na \
  405   | --program-transform-n | --program-transform- \
  406   | --program-transform | --program-transfor \
  407   | --program-transfo | --program-transf \
  408   | --program-trans | --program-tran \
  409   | --progr-tra | --program-tr | --program-t)
  410     ac_prev=program_transform_name ;;
  411   -program-transform-name=* | --program-transform-name=* \
  412   | --program-transform-nam=* | --program-transform-na=* \
  413   | --program-transform-n=* | --program-transform-=* \
  414   | --program-transform=* | --program-transfor=* \
  415   | --program-transfo=* | --program-transf=* \
  416   | --program-trans=* | --program-tran=* \
  417   | --progr-tra=* | --program-tr=* | --program-t=*)
  418     program_transform_name="$ac_optarg" ;;
  419 
  420   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  421   | -silent | --silent | --silen | --sile | --sil)
  422     silent=yes ;;
  423 
  424   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
  425     ac_prev=sbindir ;;
  426   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  427   | --sbi=* | --sb=*)
  428     sbindir="$ac_optarg" ;;
  429 
  430   -sharedstatedir | --sharedstatedir | --sharedstatedi \
  431   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  432   | --sharedst | --shareds | --shared | --share | --shar \
  433   | --sha | --sh)
  434     ac_prev=sharedstatedir ;;
  435   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  436   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  437   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  438   | --sha=* | --sh=*)
  439     sharedstatedir="$ac_optarg" ;;
  440 
  441   -site | --site | --sit)
  442     ac_prev=site ;;
  443   -site=* | --site=* | --sit=*)
  444     site="$ac_optarg" ;;
  445 
  446   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
  447     ac_prev=srcdir ;;
  448   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
  449     srcdir="$ac_optarg" ;;
  450 
  451   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  452   | --syscon | --sysco | --sysc | --sys | --sy)
  453     ac_prev=sysconfdir ;;
  454   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  455   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
  456     sysconfdir="$ac_optarg" ;;
  457 
  458   -target | --target | --targe | --targ | --tar | --ta | --t)
  459     ac_prev=target ;;
  460   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
  461     target="$ac_optarg" ;;
  462 
  463   -v | -verbose | --verbose | --verbos | --verbo | --verb)
  464     verbose=yes ;;
  465 
  466   -version | --version | --versio | --versi | --vers)
  467     echo "configure generated by autoconf version 2.13"
  468     exit 0 ;;
  469 
  470   -with-* | --with-*)
  471     ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
  472     # Reject names that are not valid shell variable names.
  473     if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
  474       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  475     fi
  476     ac_package=`echo $ac_package| sed 's/-/_/g'`
  477     case "$ac_option" in
  478       *=*) ;;
  479       *) ac_optarg=yes ;;
  480     esac
  481     eval "with_${ac_package}='$ac_optarg'" ;;
  482 
  483   -without-* | --without-*)
  484     ac_package=`echo $ac_option|sed -e 's/-*without-//'`
  485     # Reject names that are not valid shell variable names.
  486     if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
  487       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  488     fi
  489     ac_package=`echo $ac_package| sed 's/-/_/g'`
  490     eval "with_${ac_package}=no" ;;
  491 
  492   --x)
  493     # Obsolete; use --with-x.
  494     with_x=yes ;;
  495 
  496   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  497   | --x-incl | --x-inc | --x-in | --x-i)
  498     ac_prev=x_includes ;;
  499   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  500   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
  501     x_includes="$ac_optarg" ;;
  502 
  503   -x-libraries | --x-libraries | --x-librarie | --x-librari \
  504   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
  505     ac_prev=x_libraries ;;
  506   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  507   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
  508     x_libraries="$ac_optarg" ;;
  509 
  510   -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
  511     ;;
  512 
  513   *)
  514     if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
  515       echo "configure: warning: $ac_option: invalid host type" 1>&2
  516     fi
  517     if test "x$nonopt" != xNONE; then
  518       { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
  519     fi
  520     nonopt="$ac_option"
  521     ;;
  522 
  523   esac
  524 done
  525 
  526 if test -n "$ac_prev"; then
  527   { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
  528 fi
  529 
  530 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
  531 
  532 # File descriptor usage:
  533 # 0 standard input
  534 # 1 file creation
  535 # 2 errors and warnings
  536 # 3 some systems may open it to /dev/tty
  537 # 4 used on the Kubota Titan
  538 # 6 checking for... messages and results
  539 # 5 compiler messages saved in config.log
  540 if test "$silent" = yes; then
  541   exec 6>/dev/null
  542 else
  543   exec 6>&1
  544 fi
  545 exec 5>./config.log
  546 
  547 echo "\
  548 This file contains any messages produced by compilers while
  549 running configure, to aid debugging if configure makes a mistake.
  550 " 1>&5
  551 
  552 # Strip out --no-create and --no-recursion so they do not pile up.
  553 # Also quote any args containing shell metacharacters.
  554 ac_configure_args=
  555 for ac_arg
  556 do
  557   case "$ac_arg" in
  558   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  559   | --no-cr | --no-c) ;;
  560   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  561   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  562   *" "*|*"  "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  563   ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  564   *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  565   esac
  566 done
  567 
  568 # NLS nuisances.
  569 # Only set these to C if already set.  These must not be set unconditionally
  570 # because not all systems understand e.g. LANG=C (notably SCO).
  571 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
  572 # Non-C LC_CTYPE values break the ctype check.
  573 if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
  574 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
  575 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
  576 if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
  577 
  578 # confdefs.h avoids OS command line length limits that DEFS can exceed.
  579 rm -rf conftest* confdefs.h
  580 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
  581 echo > confdefs.h
  582 
  583 # A filename unique to this package, relative to the directory that
  584 # configure is in, which we can look for to find out if srcdir is correct.
  585 ac_unique_file=latex2html.pin
  586 
  587 # Find the source files, if location was not specified.
  588 if test -z "$srcdir"; then
  589   ac_srcdir_defaulted=yes
  590   # Try the directory containing this script, then its parent.
  591   ac_prog=$0
  592   ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  593   test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  594   srcdir=$ac_confdir
  595   if test ! -r $srcdir/$ac_unique_file; then
  596     srcdir=..
  597   fi
  598 else
  599   ac_srcdir_defaulted=no
  600 fi
  601 if test ! -r $srcdir/$ac_unique_file; then
  602   if test "$ac_srcdir_defaulted" = yes; then
  603     { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  604   else
  605     { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  606   fi
  607 fi
  608 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
  609 
  610 # Prefer explicitly selected file to automatically selected ones.
  611 if test -z "$CONFIG_SITE"; then
  612   if test "x$prefix" != xNONE; then
  613     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  614   else
  615     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  616   fi
  617 fi
  618 for ac_site_file in $CONFIG_SITE; do
  619   if test -r "$ac_site_file"; then
  620     echo "loading site script $ac_site_file"
  621     . "$ac_site_file"
  622   fi
  623 done
  624 
  625 if test -r "$cache_file"; then
  626   echo "loading cache $cache_file"
  627   . $cache_file
  628 else
  629   echo "creating cache $cache_file"
  630   > $cache_file
  631 fi
  632 
  633 ac_ext=c
  634 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  635 ac_cpp='$CPP $CPPFLAGS'
  636 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  637 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  638 cross_compiling=$ac_cv_prog_cc_cross
  639 
  640 ac_exeext=
  641 ac_objext=o
  642 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  643   # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  644   if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
  645     ac_n= ac_c='
  646 ' ac_t='    '
  647   else
  648     ac_n=-n ac_c= ac_t=
  649   fi
  650 else
  651   ac_n= ac_c='\c' ac_t=
  652 fi
  653 
  654 
  655 
  656 # Check whether --with-perl or --without-perl was given.
  657 if test "${with_perl+set}" = set; then
  658   withval="$with_perl"
  659   PERL=$withval
  660 else
  661   PERL=${PERL:-}
  662 fi
  663 
  664 # Check whether --with-oldconfig or --without-oldconfig was given.
  665 if test "${with_oldconfig+set}" = set; then
  666   withval="$with_oldconfig"
  667   :
  668 else
  669   with_oldconfig=${OLDCONFIG:-}
  670 fi
  671 
  672 # Check whether --with-extrapath or --without-extrapath was given.
  673 if test "${with_extrapath+set}" = set; then
  674   withval="$with_extrapath"
  675   :
  676 else
  677   with_extrapath=${EXTRAPATH:-}
  678 fi
  679 
  680 # Check whether --with-gsdevice or --without-gsdevice was given.
  681 if test "${with_gsdevice+set}" = set; then
  682   withval="$with_gsdevice"
  683   :
  684 else
  685   with_gsdevice=${GSDEVICE:-}
  686 fi
  687 
  688 # Check whether --with-gsalias or --without-gsalias was given.
  689 if test "${with_gsalias+set}" = set; then
  690   withval="$with_gsalias"
  691   :
  692 else
  693   with_gsalias=${GSALIASDEVICE:-}
  694 fi
  695 
  696 # Check whether --with-iconpath or --without-iconpath was given.
  697 if test "${with_iconpath+set}" = set; then
  698   withval="$with_iconpath"
  699   :
  700 else
  701   with_iconpath=${ICONPATH:-}
  702 fi
  703 
  704 # Check whether --with-iconstorage or --without-iconstorage was given.
  705 if test "${with_iconstorage+set}" = set; then
  706   withval="$with_iconstorage"
  707   :
  708 else
  709   with_iconstorage=${ICONSTORAGE:-}
  710 fi
  711 
  712 # Check whether --with-texpath or --without-texpath was given.
  713 if test "${with_texpath+set}" = set; then
  714   withval="$with_texpath"
  715   :
  716 else
  717   with_texpath=${TEXPATH:-}
  718 fi
  719 
  720 # Check whether --with-rgb or --without-rgb was given.
  721 if test "${with_rgb+set}" = set; then
  722   withval="$with_rgb"
  723   :
  724 else
  725   with_rgb=${RGB:-}
  726 fi
  727 
  728 # Check whether --with-crayola or --without-crayola was given.
  729 if test "${with_crayola+set}" = set; then
  730   withval="$with_crayola"
  731   :
  732 else
  733   with_crayola=${CRAYOLA:-}
  734 fi
  735 
  736 # Check whether --enable-images or --disable-images was given.
  737 if test "${enable_images+set}" = set; then
  738   enableval="$enable_images"
  739   :
  740 else
  741   enable_images=''
  742 fi
  743 
  744 # Check whether --enable-pk or --disable-pk was given.
  745 if test "${enable_pk+set}" = set; then
  746   enableval="$enable_pk"
  747   :
  748 else
  749   enable_pk=''
  750 fi
  751 
  752 # Check whether --with-metamode or --without-metamode was given.
  753 if test "${with_metamode+set}" = set; then
  754   withval="$with_metamode"
  755   :
  756 else
  757   with_metamode=${METAMODE:-}
  758 fi
  759 
  760 # Check whether --with-metadpi or --without-metadpi was given.
  761 if test "${with_metadpi+set}" = set; then
  762   withval="$with_metadpi"
  763   :
  764 else
  765   with_metadpi=${METADPI:-}
  766 fi
  767 
  768 # Check whether --enable-eps or --disable-eps was given.
  769 if test "${enable_eps+set}" = set; then
  770   enableval="$enable_eps"
  771   :
  772 else
  773   enable_eps=''
  774 fi
  775 
  776 # Check whether --enable-reverse or --disable-reverse was given.
  777 if test "${enable_reverse+set}" = set; then
  778   enableval="$enable_reverse"
  779   :
  780 else
  781   enable_reverse=''
  782 fi
  783 
  784 # Check whether --enable-gif or --disable-gif was given.
  785 if test "${enable_gif+set}" = set; then
  786   enableval="$enable_gif"
  787   :
  788 else
  789   enable_gif=''
  790 fi
  791 
  792 # Check whether --enable-png or --disable-png was given.
  793 if test "${enable_png+set}" = set; then
  794   enableval="$enable_png"
  795   :
  796 else
  797   enable_png=''
  798 fi
  799 
  800 # Check whether --enable-svg or --disable-svg was given.
  801 if test "${enable_svg+set}" = set; then
  802   enableval="$enable_svg"
  803   :
  804 else
  805   enable_svg=''
  806 fi
  807 
  808 # Check whether --enable-pipes or --disable-pipes was given.
  809 if test "${enable_pipes+set}" = set; then
  810   enableval="$enable_pipes"
  811   :
  812 else
  813   enable_pipes=''
  814 fi
  815 
  816 # Check whether --enable-paths or --disable-paths was given.
  817 if test "${enable_paths+set}" = set; then
  818   enableval="$enable_paths"
  819   :
  820 else
  821   enable_paths=''
  822 fi
  823 
  824 # Check whether --enable-wrapper or --disable-wrapper was given.
  825 if test "${enable_wrapper+set}" = set; then
  826   enableval="$enable_wrapper"
  827   :
  828 else
  829   enable_wrapper=''
  830 fi
  831 
  832 # Check whether --enable-texlive or --disable-texlive was given.
  833 if test "${enable_texlive+set}" = set; then
  834   enableval="$enable_texlive"
  835   :
  836 else
  837   enable_texlive=''
  838 fi
  839 
  840 
  841 # Check whether --with-gs or --without-gs was given.
  842 if test "${with_gs+set}" = set; then
  843   withval="$with_gs"
  844   :
  845 else
  846   with_gs=${GS:-}
  847 fi
  848 
  849 # Check whether --with-dvips or --without-dvips was given.
  850 if test "${with_dvips+set}" = set; then
  851   withval="$with_dvips"
  852   :
  853 else
  854   with_dvips=${DVIPS:-}
  855 fi
  856 
  857 # Check whether --with-dvipng or --without-dvipng was given.
  858 if test "${with_dvipng+set}" = set; then
  859   withval="$with_dvipng"
  860   :
  861 else
  862   with_dvipng=${DVIPNG:-}
  863 fi
  864 
  865 # Check whether --with-pdftocairo or --without-pdftocairo was given.
  866 if test "${with_pdftocairo+set}" = set; then
  867   withval="$with_pdftocairo"
  868   :
  869 else
  870   with_pdftocairo=${PDFTOCAIRO:-}
  871 fi
  872 
  873 # Check whether --with-ps2pdf or --without-ps2pdf was given.
  874 if test "${with_ps2pdf+set}" = set; then
  875   withval="$with_ps2pdf"
  876   :
  877 else
  878   with_ps2pdf=${PS2PDF:-}
  879 fi
  880 
  881 # Check whether --with-pdfcrop or --without-pdfcrop was given.
  882 if test "${with_pdfcrop+set}" = set; then
  883   withval="$with_pdfcrop"
  884   :
  885 else
  886   with_pdfcrop=${PDFCROP:-}
  887 fi
  888 
  889 # Check whether --with-latex or --without-latex was given.
  890 if test "${with_latex+set}" = set; then
  891   withval="$with_latex"
  892   :
  893 else
  894   with_latex=${LATEX:-}
  895 fi
  896 
  897 # Check whether --with-pdflatex or --without-pdflatex was given.
  898 if test "${with_pdflatex+set}" = set; then
  899   withval="$with_pdflatex"
  900   :
  901 else
  902   with_pdflatex=${PDFLATEX:-}
  903 fi
  904 
  905 # Check whether --with-lualatex or --without-lualatex was given.
  906 if test "${with_lualatex+set}" = set; then
  907   withval="$with_lualatex"
  908   :
  909 else
  910   with_lualatex=${LUALATEX:-}
  911 fi
  912 
  913 # Check whether --with-dvilualatex or --without-dvilualatex was given.
  914 if test "${with_dvilualatex+set}" = set; then
  915   withval="$with_dvilualatex"
  916   :
  917 else
  918   with_dvilualatex=${DVILUALATEX:-}
  919 fi
  920 
  921 # Check whether --with-pnmcrop or --without-pnmcrop was given.
  922 if test "${with_pnmcrop+set}" = set; then
  923   withval="$with_pnmcrop"
  924   :
  925 else
  926   with_pnmcrop=${PNMCROP:-}
  927 fi
  928 
  929 # Check whether --with-tex or --without-tex was given.
  930 if test "${with_tex+set}" = set; then
  931   withval="$with_tex"
  932   :
  933 else
  934   with_tex=${TEX:-}
  935 fi
  936 
  937 # Check whether --with-initex or --without-initex was given.
  938 if test "${with_initex+set}" = set; then
  939   withval="$with_initex"
  940   :
  941 else
  942   with_initex=${INITEX:-}
  943 fi
  944 
  945 # Check whether --with-kpsewhich or --without-kpsewhich was given.
  946 if test "${with_kpsewhich+set}" = set; then
  947   withval="$with_kpsewhich"
  948   :
  949 else
  950   with_kpsewhich=${KPSEWHICH:-}
  951 fi
  952 
  953 # Check whether --with-mktexlsr or --without-mktexlsr was given.
  954 if test "${with_mktexlsr+set}" = set; then
  955   withval="$with_mktexlsr"
  956   :
  957 else
  958   with_mktexlsr=${MKTEXLSR:-}
  959 fi
  960 
  961 # Check whether --with-validator or --without-validator was given.
  962 if test "${with_validator+set}" = set; then
  963   withval="$with_validator"
  964   :
  965 else
  966   with_validator=${HTML_VALIDATOR:-}
  967 fi
  968 
  969 # Check whether --with-pnmflip or --without-pnmflip was given.
  970 if test "${with_pnmflip+set}" = set; then
  971   withval="$with_pnmflip"
  972   :
  973 else
  974   with_pnmflip=${PNMFLIP:-}
  975 fi
  976 
  977 # Check whether --with-pnmquant or --without-pnmquant was given.
  978 if test "${with_pnmquant+set}" = set; then
  979   withval="$with_pnmquant"
  980   :
  981 else
  982   with_pnmquant=${PNMQUANT:-}
  983 fi
  984 
  985 # Check whether --with-pnmfile or --without-pnmfile was given.
  986 if test "${with_pnmfile+set}" = set; then
  987   withval="$with_pnmfile"
  988   :
  989 else
  990   with_pnmfile=${PNMFILE:-}
  991 fi
  992 
  993 # Check whether --with-pnmcat or --without-pnmcat was given.
  994 if test "${with_pnmcat+set}" = set; then
  995   withval="$with_pnmcat"
  996   :
  997 else
  998   with_pnmcat=${PNMCAT:-}
  999 fi
 1000 
 1001 # Check whether --with-pnmcut or --without-pnmcut was given.
 1002 if test "${with_pnmcut+set}" = set; then
 1003   withval="$with_pnmcut"
 1004   :
 1005 else
 1006   with_pnmcut=${PNMCUT:-}
 1007 fi
 1008 
 1009 # Check whether --with-pnmpad or --without-pnmpad was given.
 1010 if test "${with_pnmpad+set}" = set; then
 1011   withval="$with_pnmpad"
 1012   :
 1013 else
 1014   with_pnmpad=${PNMPAD:-}
 1015 fi
 1016 
 1017 # Check whether --with-pnmscale or --without-pnmscale was given.
 1018 if test "${with_pnmscale+set}" = set; then
 1019   withval="$with_pnmscale"
 1020   :
 1021 else
 1022   with_pnmscale=${PNMSCALE:-}
 1023 fi
 1024 
 1025 # Check whether --with-pnmrotate or --without-pnmrotate was given.
 1026 if test "${with_pnmrotate+set}" = set; then
 1027   withval="$with_pnmrotate"
 1028   :
 1029 else
 1030   with_pnmrotate=${PNMROTATE:-}
 1031 fi
 1032 
 1033 # Check whether --with-pbmmake or --without-pbmmake was given.
 1034 if test "${with_pbmmake+set}" = set; then
 1035   withval="$with_pbmmake"
 1036   :
 1037 else
 1038   with_pbmmake=${PBMMAKE:-}
 1039 fi
 1040 
 1041 # Check whether --with-ppmtogif or --without-ppmtogif was given.
 1042 if test "${with_ppmtogif+set}" = set; then
 1043   withval="$with_ppmtogif"
 1044   :
 1045 else
 1046   with_ppmtogif=${PPMTOGIF:-}
 1047 fi
 1048 
 1049 # Check whether --with-pnmtopng or --without-pnmtopng was given.
 1050 if test "${with_pnmtopng+set}" = set; then
 1051   withval="$with_pnmtopng"
 1052   :
 1053 else
 1054   with_pnmtopng=${PNMTOPNG:-}
 1055 fi
 1056 
 1057 # Check whether --with-tifftopnm or --without-tifftopnm was given.
 1058 if test "${with_tifftopnm+set}" = set; then
 1059   withval="$with_tifftopnm"
 1060   :
 1061 else
 1062   with_tifftopnm=${TIFFTOPNM:-}
 1063 fi
 1064 
 1065 # Check whether --with-anytopnm or --without-anytopnm was given.
 1066 if test "${with_anytopnm+set}" = set; then
 1067   withval="$with_anytopnm"
 1068   :
 1069 else
 1070   with_anytopnm=${ANYTOPNM:-}
 1071 fi
 1072 
 1073 # Check whether --with-bmptopnm or --without-bmptopnm was given.
 1074 if test "${with_bmptopnm+set}" = set; then
 1075   withval="$with_bmptopnm"
 1076   :
 1077 else
 1078   with_bmptopnm=${BMPTOPNM:-}
 1079 fi
 1080 
 1081 # Check whether --with-pcxtopnm or --without-pcxtopnm was given.
 1082 if test "${with_pcxtopnm+set}" = set; then
 1083   withval="$with_pcxtopnm"
 1084   :
 1085 else
 1086   with_pcxtopnm=${PCXTOPNM:-}
 1087 fi
 1088 
 1089 # Check whether --with-sgitopnm or --without-sgitopnm was given.
 1090 if test "${with_sgitopnm+set}" = set; then
 1091   withval="$with_sgitopnm"
 1092   :
 1093 else
 1094   with_sgitopnm=${SGITOPNM:-}
 1095 fi
 1096 
 1097 # Check whether --with-xbmtopbm or --without-xbmtopbm was given.
 1098 if test "${with_xbmtopbm+set}" = set; then
 1099   withval="$with_xbmtopbm"
 1100   :
 1101 else
 1102   with_xbmtopbm=${XBMTOPBM:-}
 1103 fi
 1104 
 1105 # Check whether --with-xwdtopnm or --without-xwdtopnm was given.
 1106 if test "${with_xwdtopnm+set}" = set; then
 1107   withval="$with_xwdtopnm"
 1108   :
 1109 else
 1110   with_xwdtopnm=${XWDTOPNM:-}
 1111 fi
 1112 
 1113 # Check whether --with-ppmtojpeg or --without-ppmtojpeg was given.
 1114 if test "${with_ppmtojpeg+set}" = set; then
 1115   withval="$with_ppmtojpeg"
 1116   :
 1117 else
 1118   with_ppmtojpeg=${PPMTOJPEG:-}
 1119 fi
 1120 
 1121 # Check whether --with-giftool or --without-giftool was given.
 1122 if test "${with_giftool+set}" = set; then
 1123   withval="$with_giftool"
 1124   :
 1125 else
 1126   with_giftool=${GIFTOOL:-}
 1127 fi
 1128 
 1129 # Check whether --with-giftrans or --without-giftrans was given.
 1130 if test "${with_giftrans+set}" = set; then
 1131   withval="$with_giftrans"
 1132   :
 1133 else
 1134   with_giftrans=${GIFTRANS:-}
 1135 fi
 1136 
 1137 
 1138 
 1139 if test -n "$PERL"; then
 1140   if echo "$PERL" | grep '^/' >/dev/null; then
 1141     echo $ac_n "checking for $PERL""... $ac_c" 1>&6
 1142 echo "configure:936: checking for $PERL" >&5
 1143     if test -s "$PERL"; then
 1144       echo "$ac_t""yes" 1>&6
 1145     else
 1146       echo "$ac_t""no" 1>&6
 1147       PERL='none'
 1148     fi
 1149   else
 1150     find_perl="$PERL"
 1151     PERL=''
 1152   fi
 1153 else
 1154   find_perl="perl perl5"
 1155 fi
 1156 if test -z "$PERL"; then
 1157   for ac_prog in $find_perl
 1158 do
 1159 # Extract the first word of "$ac_prog", so it can be a program name with args.
 1160 set dummy $ac_prog; ac_word=$2
 1161 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
 1162 echo "configure:956: checking for $ac_word" >&5
 1163 if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
 1164   echo $ac_n "(cached) $ac_c" 1>&6
 1165 else
 1166   case "$PERL" in
 1167   /*)
 1168   ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
 1169   ;;
 1170   ?:/*)          
 1171   ac_cv_path_PERL="$PERL" # Let the user override the test with a dos path.
 1172   ;;
 1173   *)
 1174   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
 1175   ac_dummy="$PATH"
 1176   for ac_dir in $ac_dummy; do 
 1177     test -z "$ac_dir" && ac_dir=.
 1178     if test -f $ac_dir/$ac_word; then
 1179       ac_cv_path_PERL="$ac_dir/$ac_word"
 1180       break
 1181     fi
 1182   done
 1183   IFS="$ac_save_ifs"
 1184   ;;
 1185 esac
 1186 fi
 1187 PERL="$ac_cv_path_PERL"
 1188 if test -n "$PERL"; then
 1189   echo "$ac_t""$PERL" 1>&6
 1190 else
 1191   echo "$ac_t""no" 1>&6
 1192 fi
 1193 
 1194 test -n "$PERL" && break
 1195 done
 1196 test -n "$PERL" || PERL="none"
 1197 
 1198 fi
 1199 if test "$PERL" = 'none'; then
 1200   { echo "configure: error: perl not found. LaTeX2HTML *needs* perl 5.00305 or higher." 1>&2; exit 1; }
 1201 fi
 1202 
 1203 
 1204 # Pull the hash mark out of the macro call to avoid m4 problems.
 1205 ac_msg="whether #! works in shell scripts"
 1206 echo $ac_n "checking $ac_msg""... $ac_c" 1>&6
 1207 echo "configure:1001: checking $ac_msg" >&5
 1208 if eval "test \"`echo '$''{'ac_cv_sys_interpreter'+set}'`\" = set"; then
 1209   echo $ac_n "(cached) $ac_c" 1>&6
 1210 else
 1211   echo '#! /bin/cat
 1212 exit 69
 1213 ' > conftest
 1214 chmod u+x conftest
 1215 (SHELL=/bin/sh; export SHELL; ./conftest >/dev/null)
 1216 if test $? -ne 69; then
 1217    ac_cv_sys_interpreter=yes
 1218 else
 1219    ac_cv_sys_interpreter=no
 1220 fi
 1221 rm -f conftest
 1222 fi
 1223 
 1224 echo "$ac_t""$ac_cv_sys_interpreter" 1>&6
 1225 interpval="$ac_cv_sys_interpreter"
 1226 
 1227 
 1228 
 1229 echo "launching proprietary configuration..."
 1230 
 1231 $PERL $srcdir/config/config.pl \
 1232   PERL=$PERL \
 1233   HASHBANG=$ac_cv_sys_interpreter \
 1234   OLDCONFIG=$with_oldconfig \
 1235   EXTRAPATH=$with_extrapath \
 1236   GSDEVICE=$with_gsdevice \
 1237   GSALIASDEVICE=$with_gsalias \
 1238   ICONPATH=$with_iconpath \
 1239   ICONSTORAGE=$with_iconstorage \
 1240   TEXPATH=$with_texpath \
 1241   RGB=$with_rgb \
 1242   CRAYOLA=$with_crayola \
 1243   IMAGES=$enable_images \
 1244   PK=$enable_pk \
 1245   METAMODE=$with_metamode \
 1246   METADPI=$with_metadpi \
 1247   EPS=$enable_eps \
 1248   REVERSE=$enable_reverse \
 1249   GIF=$enable_gif \
 1250   PNG=$enable_png \
 1251   SVG=$enable_svg \
 1252   PIPES=$enable_pipes \
 1253   ABSPATHS=$enable_paths \
 1254   PREFIX=$prefix \
 1255   BINDIR=$bindir \
 1256   LIBDIR=$libdir \
 1257   SHLIBDIR=$shlibdir \
 1258   WRAPPER=$enable_wrapper \
 1259   TEXLIVE=$enable_texlive \
 1260   GS=$with_gs \
 1261   DVIPS=$with_dvips \
 1262   DVIPNG=$with_dvipng \
 1263   PDFTOCAIRO=$with_pdftocairo \
 1264   PS2PDF=$with_ps2pdf \
 1265   PDFCROP=$with_pdfcrop \
 1266   LATEX=$with_latex \
 1267   PDFLATEX=$with_pdflatex \
 1268   LUALATEX=$with_lualatex \
 1269   DVILUALATEX=$with_dvilualatex \
 1270   PNMCROP=$with_pnmcrop \
 1271   TEX=$with_tex \
 1272   INITEX=$with_initex \
 1273   KPSEWHICH=$with_kpsewhich \
 1274   MKTEXLSR=$with_mktexlsr \
 1275   HTML_VALIDATOR=$with_validator \
 1276   PNMFLIP=$with_pnmflip \
 1277   PNMQUANT=$with_pnmquant \
 1278   PNMFILE=$with_pnmfile \
 1279   PNMCAT=$with_pnmcat \
 1280   PNMCUT=$with_pnmcut \
 1281   PNMPAD=$with_pnmpad \
 1282   PNMROTATE=$with_pnmrotate \
 1283   PNMSCALE=$with_pnmscale \
 1284   PBMMAKE=$with_pbmmake \
 1285   PPMTOGIF=$with_ppmtogif \
 1286   PNMTOPNG=$with_pnmtopng \
 1287   GIFTOPNM=$with_giftopnm \
 1288   JPEGTOPNM=$with_jpegtopnm \
 1289   PNGTOPNM=$with_pngtopnm \
 1290   TIFFTOPNM=$with_tifftopnm \
 1291   ANYTOPNM=$with_anytopnm \
 1292   BMPTOPPM=$with_bmptoppm \
 1293   PCXTOPNM=$with_pcxtopnm \
 1294   SGITOPNM=$with_sgitopnm \
 1295   XBMTOPBM=$with_xbmtopbm \
 1296   XWDTOPNM=$with_xwdtopnm \
 1297   PPMTOJPEG=$with_ppmtojpeg \
 1298   GIFTOOL=$with_giftool \
 1299   GIFTRANS=$with_giftrans
 1300 
 1301 if test "$?" != "0"; then
 1302   exit 1
 1303 fi
 1304 
 1305 # this was used to get the values from the config file
 1306 # eval `perl -w -e 'require "./cfgcache.pm"; foreach(keys %cfgcache::cfg) { print qq($_='"'"'$cfgcache::cfg{$_}'"'"'\n);}'`
 1307 
 1308 
 1309 
 1310 
 1311 trap '' 1 2 15
 1312 cat > confcache <<\EOF
 1313 # This file is a shell script that caches the results of configure
 1314 # tests run on this system so they can be shared between configure
 1315 # scripts and configure runs.  It is not useful on other systems.
 1316 # If it contains results you don't want to keep, you may remove or edit it.
 1317 #
 1318 # By default, configure uses ./config.cache as the cache file,
 1319 # creating it if it does not exist already.  You can give configure
 1320 # the --cache-file=FILE option to use a different cache file; that is
 1321 # what configure does when it calls configure scripts in
 1322 # subdirectories, so they share the cache.
 1323 # Giving --cache-file=/dev/null disables caching, for debugging configure.
 1324 # config.status only pays attention to the cache file if you give it the
 1325 # --recheck option to rerun configure.
 1326 #
 1327 EOF
 1328 # The following way of writing the cache mishandles newlines in values,
 1329 # but we know of no workaround that is simple, portable, and efficient.
 1330 # So, don't put newlines in cache variables' values.
 1331 # Ultrix sh set writes to stderr and can't be redirected directly,
 1332 # and sets the high bit in the cache file unless we assign to the vars.
 1333 (set) 2>&1 |
 1334   case `(ac_space=' '; set | grep ac_space) 2>&1` in
 1335   *ac_space=\ *)
 1336     # `set' does not quote correctly, so add quotes (double-quote substitution
 1337     # turns \\\\ into \\, and sed turns \\ into \).
 1338     sed -n \
 1339       -e "s/'/'\\\\''/g" \
 1340       -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
 1341     ;;
 1342   *)
 1343     # `set' quotes correctly as required by POSIX, so do not add quotes.
 1344     sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
 1345     ;;
 1346   esac >> confcache
 1347 if cmp -s $cache_file confcache; then
 1348   :
 1349 else
 1350   if test -w $cache_file; then
 1351     echo "updating cache $cache_file"
 1352     cat confcache > $cache_file
 1353   else
 1354     echo "not updating unwritable cache $cache_file"
 1355   fi
 1356 fi
 1357 rm -f confcache
 1358 
 1359 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
 1360 
 1361 test "x$prefix" = xNONE && prefix=$ac_default_prefix
 1362 # Let make expand exec_prefix.
 1363 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
 1364 
 1365 # Any assignment to VPATH causes Sun make to only execute
 1366 # the first set of double-colon rules, so remove it if not needed.
 1367 # If there is a colon in the path, we need to keep it.
 1368 if test "x$srcdir" = x.; then
 1369   ac_vpsub='/^[     ]*VPATH[    ]*=[^:]*$/d'
 1370 fi
 1371 
 1372 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
 1373 
 1374 # Transform confdefs.h into DEFS.
 1375 # Protect against shell expansion while executing Makefile rules.
 1376 # Protect against Makefile macro expansion.
 1377 cat > conftest.defs <<\EOF
 1378 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
 1379 s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
 1380 s%\[%\\&%g
 1381 s%\]%\\&%g
 1382 s%\$%$$%g
 1383 EOF
 1384 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
 1385 rm -f conftest.defs
 1386 
 1387 
 1388 # Without the "./", some shells look in PATH for config.status.
 1389 : ${CONFIG_STATUS=./config.status}
 1390 
 1391 echo creating $CONFIG_STATUS
 1392 rm -f $CONFIG_STATUS
 1393 cat > $CONFIG_STATUS <<EOF
 1394 #! /bin/sh
 1395 # Generated automatically by configure.
 1396 # Run this file to recreate the current configuration.
 1397 # This directory was configured as follows,
 1398 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
 1399 #
 1400 # $0 $ac_configure_args
 1401 #
 1402 # Compiler output produced by configure, useful for debugging
 1403 # configure, is in ./config.log if it exists.
 1404 
 1405 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
 1406 for ac_option
 1407 do
 1408   case "\$ac_option" in
 1409   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
 1410     echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
 1411     exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
 1412   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
 1413     echo "$CONFIG_STATUS generated by autoconf version 2.13"
 1414     exit 0 ;;
 1415   -help | --help | --hel | --he | --h)
 1416     echo "\$ac_cs_usage"; exit 0 ;;
 1417   *) echo "\$ac_cs_usage"; exit 1 ;;
 1418   esac
 1419 done
 1420 
 1421 ac_given_srcdir=$srcdir
 1422 
 1423 trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
 1424 EOF
 1425 cat >> $CONFIG_STATUS <<EOF
 1426 
 1427 # Protect against being on the right side of a sed subst in config.status.
 1428 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 1429  s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
 1430 $ac_vpsub
 1431 $extrasub
 1432 s%@SHELL@%$SHELL%g
 1433 s%@CFLAGS@%$CFLAGS%g
 1434 s%@CPPFLAGS@%$CPPFLAGS%g
 1435 s%@CXXFLAGS@%$CXXFLAGS%g
 1436 s%@FFLAGS@%$FFLAGS%g
 1437 s%@DEFS@%$DEFS%g
 1438 s%@LDFLAGS@%$LDFLAGS%g
 1439 s%@LIBS@%$LIBS%g
 1440 s%@exec_prefix@%$exec_prefix%g
 1441 s%@prefix@%$prefix%g
 1442 s%@program_transform_name@%$program_transform_name%g
 1443 s%@bindir@%$bindir%g
 1444 s%@sbindir@%$sbindir%g
 1445 s%@libexecdir@%$libexecdir%g
 1446 s%@datadir@%$datadir%g
 1447 s%@sysconfdir@%$sysconfdir%g
 1448 s%@sharedstatedir@%$sharedstatedir%g
 1449 s%@localstatedir@%$localstatedir%g
 1450 s%@libdir@%$libdir%g
 1451 s%@shlibdir@%$shlibdir%g
 1452 s%@includedir@%$includedir%g
 1453 s%@oldincludedir@%$oldincludedir%g
 1454 s%@infodir@%$infodir%g
 1455 s%@mandir@%$mandir%g
 1456 s%@PERL@%$PERL%g
 1457 s%@plat@%$plat%g
 1458 s%@distver@%$distver%g
 1459 
 1460 CEOF
 1461 EOF
 1462 
 1463 cat >> $CONFIG_STATUS <<\EOF
 1464 
 1465 # Split the substitutions into bite-sized pieces for seds with
 1466 # small command number limits, like on Digital OSF/1 and HP-UX.
 1467 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
 1468 ac_file=1 # Number of current file.
 1469 ac_beg=1 # First line for current file.
 1470 ac_end=$ac_max_sed_cmds # Line after last line for current file.
 1471 ac_more_lines=:
 1472 ac_sed_cmds=""
 1473 while $ac_more_lines; do
 1474   if test $ac_beg -gt 1; then
 1475     sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
 1476   else
 1477     sed "${ac_end}q" conftest.subs > conftest.s$ac_file
 1478   fi
 1479   if test ! -s conftest.s$ac_file; then
 1480     ac_more_lines=false
 1481     rm -f conftest.s$ac_file
 1482   else
 1483     if test -z "$ac_sed_cmds"; then
 1484       ac_sed_cmds="sed -f conftest.s$ac_file"
 1485     else
 1486       ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
 1487     fi
 1488     ac_file=`expr $ac_file + 1`
 1489     ac_beg=$ac_end
 1490     ac_end=`expr $ac_end + $ac_max_sed_cmds`
 1491   fi
 1492 done
 1493 if test -z "$ac_sed_cmds"; then
 1494   ac_sed_cmds=cat
 1495 fi
 1496 EOF
 1497 
 1498 cat >> $CONFIG_STATUS <<EOF
 1499 
 1500 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
 1501 EOF
 1502 cat >> $CONFIG_STATUS <<\EOF
 1503 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
 1504   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
 1505   case "$ac_file" in
 1506   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
 1507        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
 1508   *) ac_file_in="${ac_file}.in" ;;
 1509   esac
 1510 
 1511   # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
 1512 
 1513   # Remove last slash and all that follows it.  Not all systems have dirname.
 1514   ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
 1515   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
 1516     # The file is in a subdirectory.
 1517     test ! -d "$ac_dir" && mkdir "$ac_dir"
 1518     ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
 1519     # A "../" for each directory in $ac_dir_suffix.
 1520     ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
 1521   else
 1522     ac_dir_suffix= ac_dots=
 1523   fi
 1524 
 1525   case "$ac_given_srcdir" in
 1526   .)  srcdir=.
 1527       if test -z "$ac_dots"; then top_srcdir=.
 1528       else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
 1529   /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
 1530   *) # Relative path.
 1531     srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
 1532     top_srcdir="$ac_dots$ac_given_srcdir" ;;
 1533   esac
 1534 
 1535 
 1536   echo creating "$ac_file"
 1537   rm -f "$ac_file"
 1538   configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
 1539   case "$ac_file" in
 1540   *Makefile*) ac_comsub="1i\\
 1541 # $configure_input" ;;
 1542   *) ac_comsub= ;;
 1543   esac
 1544 
 1545   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
 1546   sed -e "$ac_comsub
 1547 s%@configure_input@%$configure_input%g
 1548 s%@srcdir@%$srcdir%g
 1549 s%@top_srcdir@%$top_srcdir%g
 1550 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
 1551 fi; done
 1552 rm -f conftest.s*
 1553 
 1554 EOF
 1555 cat >> $CONFIG_STATUS <<EOF
 1556 
 1557 EOF
 1558 cat >> $CONFIG_STATUS <<\EOF
 1559 
 1560 exit 0
 1561 EOF
 1562 chmod +x $CONFIG_STATUS
 1563 rm -fr confdefs* $ac_clean_files
 1564 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
 1565 
 1566 
 1567 # This in a kludge. The cache confuses the results.
 1568 rm -f config.cache
 1569 echo
 1570 echo "If everything went well,  you may run 'make'"
 1571